<?xml version="1.0" encoding="UTF-8"?>
<!--<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="java" exclude-result-prefixes="java;glidictionary" xmlns:glidictionary="http://xml.apache.org/xalan/java" extension-element-prefixes="glidictionary">-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java"
  extension-element-prefixes="java" exclude-result-prefixes="java">
  
  <xsl:output method="xml" indent="yes"/>
  
  <xsl:template match="Document">
  	<xsl:for-each select="Section[position()>1]">
  		<Subsection id="{@name}">
  		<!--<xsl:attribute name="id">
  		  <xsl:call-template name="get-id"><xsl:with-param name="id" select="Title/Text"/></xsl:call-template>
  		</xsl:attribute>-->
  		<xsl:apply-templates select="Title"/>
  		<Content>
  		<xsl:apply-templates select="Title/following-sibling::*"/>  		
  		</Content>
  		</Subsection>
  	</xsl:for-each>
  </xsl:template>
  
  
  <xsl:template match="Text"><Text id="gli_{@id}"><xsl:apply-templates/></Text></xsl:template>  
  <xsl:template match="Title"><Title><xsl:apply-templates/></Title></xsl:template>
  
	<xsl:template match="Section">
		<Part id="{@name}">
			<!--<xsl:attribute name="id">
			  <xsl:call-template name="get-id"><xsl:with-param name="id" select="Title/Text"/></xsl:call-template>
			</xsl:attribute>-->
		  <xsl:apply-templates select="Title"/> 		
		  <Content><xsl:apply-templates select="Title/following-sibling::*"/></Content>
  	</Part>
	</xsl:template>
	
	<xsl:template match="AutoText">
	  <xsl:variable name="diction" select="java:Dictionary.new('en')"/>
	  <xsl:text>"</xsl:text><xsl:choose><xsl:when test="@key"><xsl:value-of select="java:get($diction, @key, @args)"/></xsl:when><xsl:otherwise><xsl:value-of select="@text"/></xsl:otherwise></xsl:choose><xsl:text>"</xsl:text>
	</xsl:template>
	
	<xsl:template match="Reference">
		<xsl:variable name="target" select="@target"/>
    <xsl:text>"</xsl:text><xsl:value-of select="/Document//Section[@name=$target]/Title/Text"/><xsl:text>"</xsl:text>
	</xsl:template>
	
	<!-- generate id for subsections and parts -->
	<!-- transform the Title(in english) to lower case, replace spaces with '_', and remove "'s" and "/" -->
	<!--
	<xsl:template name="get-id">
	  <xsl:param name="id" select="id"/>
	  <xsl:variable name="idnew"><xsl:value-of select="java:lang.String.new($id)"/></xsl:variable>
    <xsl:variable name="apos">'</xsl:variable>
  	<xsl:variable name="temp"><xsl:value-of select="$apos"/>s</xsl:variable>
  	<xsl:variable name="idnew"><xsl:value-of select="java:replaceAll($idnew, $temp, '')"/></xsl:variable>
  	<xsl:variable name="idnew"><xsl:value-of select="java:replaceAll($idnew, '/', '')"/></xsl:variable>
  	<xsl:value-of select="java:replaceAll(java:toLowerCase($idnew), ' ', '_')"/>
	</xsl:template>
	-->
</xsl:stylesheet>
